| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Private Attributes

# IG::Num::AffineTransformationDiagonal0_TO_DELETE Class Reference

Implementation of a general affine transformation. More...

Collaboration diagram for IG::Num::AffineTransformationDiagonal0_TO_DELETE:
[legend]

List of all members.

## Public Member Functions
| AffineTransformationDiagonal0_TO_DELETE (IVector transformationMatrixDiagonal, IVector translationVector)
| Constructs affine transformation with the specified transformation matrix and translation vector.
## Properties
object | Lock`[get]`
| Object used for locking (implementation of ILockable interface).
int | DimensionOriginal`[get, set]`
| Dimension of the original (reference) space.
int | DimensionTransformed`[get, set]`
| Dimension of the transformed space.
IVector | TransformationMatrixDiagonal`[get, set]`
| Vector of diagonal elements of the transformation matrix (since transformation matrix is diagonal).
IVector | TranslationVector`[get, set]`
| Translation vector of Affine transformation.
IMatrix | TransformationMatrix`[get, set]`
## Private Attributes
object | _lockObj = new object()
int | _dimension
IVector | _transfMatDiagonal
IVector | _translationVector
IMatrix | _transfMat

## Detailed Description

Implementation of a general affine transformation.

$A Igor Dec10; TODO: Delete this class later, it is used only as template for copying some methods!

## Constructor & Destructor Documentation

IG::Num::AffineTransformationDiagonal0_TO_DELETE::AffineTransformationDiagonal0_TO_DELETE | ( | IVector | transformationMatrixDiagonal,
|  | IVector | translationVector
| ) |  | `[inline]`

Constructs affine transformation with the specified transformation matrix and translation vector.

Parameters:

  transformationMatrix | Transformation matrix of the affine transformation.
  translationVector | Translation vector of the affine transformation.

## Member Data Documentation

object IG::Num::AffineTransformationDiagonal0_TO_DELETE::_lockObj = new object()`[private]`

int IG::Num::AffineTransformationDiagonal0_TO_DELETE::_dimension`[private]`

IVector IG::Num::AffineTransformationDiagonal0_TO_DELETE::_transfMatDiagonal`[private]`

IVector IG::Num::AffineTransformationDiagonal0_TO_DELETE::_translationVector`[private]`

IMatrix IG::Num::AffineTransformationDiagonal0_TO_DELETE::_transfMat`[private]`

## Property Documentation

object IG::Num::AffineTransformationDiagonal0_TO_DELETE::Lock`[get]`

Object used for locking (implementation of ILockable interface).

Due to performance reasons, locking is not within methods of this class, even if method use internal fields. Thread safety must be achieved by explicit locking.

int IG::Num::AffineTransformationDiagonal0_TO_DELETE::DimensionOriginal`[get, set]`

Dimension of the original (reference) space.

Dimensions of original and transformed space are equal for this class because transformation matrix is diagonal.

int IG::Num::AffineTransformationDiagonal0_TO_DELETE::DimensionTransformed`[get, set]`

Dimension of the transformed space.

Dimensions of original and transformed space are equal for this class because transformation matrix is diagonal.

IVector IG::Num::AffineTransformationDiagonal0_TO_DELETE::TransformationMatrixDiagonal`[get, set]`

Vector of diagonal elements of the transformation matrix (since transformation matrix is diagonal).

IVector IG::Num::AffineTransformationDiagonal0_TO_DELETE::TranslationVector`[get, set]`

Translation vector of Affine transformation.

IMatrix IG::Num::AffineTransformationDiagonal0_TO_DELETE::TransformationMatrix`[get, set]`

The documentation for this class was generated from the following file:

- TransformationAffineDiagonal.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events